//Задаем путь к точкам обмена сообщениями 
function [pathToMessagePoint,err]=CreateMessageFilePoint(MessageFilePointName)
    //Проверяем число аргументов
    nArg = argn(2);//Число аргументов
    if nArg < 1 then
        error('Function CreateMessageFilePoint takes 1 argument');
    end
    
    //Проверяем аргумент
    if (type(MessageFilePointName) ~= 10) ||..
       (size(MessageFilePointName,'*') ~= 1) then
        error('The arguments MessageFilePointName of function CreateMessageFilePoint must be scalar string');
    end
    
    //Проверяем непустоту аргумента
    if isempty(MessageFilePointName) then
        error('Cannot creating empty message point');
    end
    
    //Получаем путь к точке обмена сообщениями
    pathToMessagePoint = fullfile(GetPathMessageFilesPoints(),MessageFilePointName);
    
    //Создаем директорию точки обмена сообщениями
    [status,msg] = mkdir(pathToMessagePoint);
    if status == 0 then
        err = 1;
        error(msg);
    elseif status ~= 1 then
        err = 0;
        
        //Удаляем файлы из точки обмена сообщениями
        filesNamesInMessagePoint = findfiles(pathToMessagePoint,'*.*');//Ищем все файлы
        if isempty(filesNamesInMessagePoint) then
            return;
        end
        fullFilesNamesInMessagePoint = fullfile(pathToMessagePoint,filesNamesInMessagePoint);//Полные имена файлов в точке обмена сообщениями
        for fullFileNameInMessagePoint=matrix(fullFilesNamesInMessagePoint,1,-1)
            if ~deletefile(fullFileNameInMessagePoint) then
                error('Cannot deleteing file ' + fullFileNameInMessagePoint);
            end
        end
    else
        err = 0;
    end
endfunction
