//Задаем путь к точкам обмена сообщениями 
function err=DestroyMessageFilePoint(MessageFilePointName)
    //Проверяем число аргументов
    nArg = argn(2);//Число аргументов
    if nArg < 1 then
        error('Function DestroyMessageFilePoint takes 1 argument');
    end
    
    //Проверяем аргумент
    if (type(MessageFilePointName) ~= 10) ||..
       (size(MessageFilePointName,'*') > 1) then
        error('The arguments MessageFilePointName of function DestroyMessageFilePoint must be scalar string');
    end
    
    //Проверяем наличие точки обмена сообщениями
    [regRezult,..
     pathToMessagePoint]=isRegisteredMessageFilePoint(MessageFilePointName);
    if ~regRezult then
        err = -1;
        warning('The file message point ' + MessageFilePointName + ' is not registered');
        return;//Выходим из функции
    end
    
    //Удаляем директорию точки обмена сообщениями
    if isempty(fileinfo(pathToMessagePoint)) then
        return;
    end
    [status,msg] = rmdir(pathToMessagePoint,'s');
    if status == 0 then
        err = 3;
        error(msg);
    else
        err = 0;
    end
endfunction
