//Задаем путь к точкам обмена сообщениями 
function [regRezult,..
          pathToMessagePoint]=isRegisteredMessageFilePoint(MessageFilePointName)
    //Проверяем число аргументов
    nArg = argn(2);//Число аргументов
    if nArg < 1 then
        error('Function DestroyMessageFilePoint takes 1 argument');
    end
    
    //Проверяем аргумент
    if (type(MessageFilePointName) ~= 10) ||..
       (size(MessageFilePointName,'*') > 1) then
        error('The arguments MessageFilePointName of function DestroyMessageFilePoint must be scalar string');
    end
    
    //Если аргумент пустой
    if isempty(MessageFilePointName) then
        regRezult = %f;
        pathToMessagePoint = [];
        return;
    end
    
    //Получаем путь к точке обмена сообщениями
    pathToMessagePoint = fullfile(GetPathMessageFilesPoints(),MessageFilePointName);
    
    //Устанавливаем факт регистрации
    regRezult = ~isempty(fileinfo(pathToMessagePoint));
endfunction
